Categories:
  - Connectivity
License: Apache-2.0
WebSite: https://companion.home-assistant.io/
SourceCode: https://github.com/home-assistant/android
IssueTracker: https://github.com/home-assistant/android/issues
Translation: https://app.lokalise.com/public/145814835dd655bc5ab0d0.36753359/
Changelog: https://github.com/home-assistant/android/releases

AutoName: Home Assistant
Description: |-
  Home Assistant is an open-source home automation platform that focuses on privacy and local control.

  Home Assistant for Android requires that you have access to a Home Assistant instance.

  For documentation around the application please see https://companion.home-assistant.io/

  Note: This is the minimal flavor that does not have location tracking or notifications.

RepoType: git
Repo: https://github.com/home-assistant/android.git

Builds:
  - versionName: 2.3.3-minimal
    versionCode: 343
    commit: 2.3.3
    subdir: app
    gradle:
      - minimal
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2.4.1-minimal
    versionCode: 380
    commit: 2.4.1
    subdir: app
    gradle:
      - minimal
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2.5.0-minimal
    versionCode: 400
    commit: 2.5.0
    subdir: app
    gradle:
      - minimal
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 3.0.0-minimal
    versionCode: 504
    commit: 3.0.0
    subdir: app
    gradle:
      - minimal
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 3.0.2-minimal
    versionCode: 521
    commit: 3.0.2
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2021.1.1-minimal
    versionCode: 555
    commit: 2021.1.1
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2021.3.1-minimal
    versionCode: 603
    commit: 2021.3.1
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2021.4.1-minimal
    versionCode: 658
    commit: 2021.4.1
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2021.5.1-minimal
    versionCode: 677
    commit: 2021.5.1
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2021.6.2-minimal
    versionCode: 694
    commit: 2021.6.2
    subdir: app
    gradle:
      - minimal
    prebuild:
      - sed -i -e '/appDistribution/d' ../build.gradle.kts
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /firebaseAppDistribution/,/}/d;
        /GoogleServicesPluginConfig/,/}/d' build.gradle.kts
      - sed -i -e '/-minimal/d' -e 's/\:\ "LOCAL"/\:\ "$$VERSION$$\"/' -e 's/\?\:\
        1/\?\:\ $$VERCODE$$/' build.gradle.kts

  - versionName: 2022.2.0-minimal
    versionCode: 2052
    commit: 2022.2.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.2.1-minimal
    versionCode: 2058
    commit: 2022.2.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.3.0-minimal
    versionCode: 2164
    commit: 2022.3.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.6.0-minimal
    versionCode: 2398
    commit: 2022.6.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.8.0-minimal
    versionCode: 2624
    commit: 2022.8.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.9.1-minimal
    versionCode: 2700
    commit: 2022.9.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.10.0-minimal
    versionCode: 2738
    commit: 2022.10.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.10.1-minimal
    versionCode: 2764
    commit: 2022.10.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.10.2-minimal
    versionCode: 2770
    commit: 2022.10.2
    subdir: app
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.11.0-minimal
    versionCode: 2948
    commit: 2022.11.0
    subdir: app
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2022.12.0-minimal
    versionCode: 3026
    commit: 2022.12.0
    subdir: app
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2023.1.1-minimal
    versionCode: 3124
    commit: 2023.1.1
    subdir: app
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2023.3.0-minimal
    versionCode: 3260
    commit: 2023.3.0
    subdir: app
    gradle:
      - minimal
    rm:
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear"//' ../settings.gradle.kts

  - versionName: 2023.6.0-minimal
    versionCode: 10170
    commit: 2023.6.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - minimal
    rm:
      - automotive
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/System.getenv("VERSION")/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear", ":automotive"//' ../settings.gradle.kts

  - versionName: 2023.7.5-minimal
    versionCode: 10506
    commit: 2023.7.5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - minimal
    rm:
      - automotive
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/project.version.toString()/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear", ":automotive"//' ../settings.gradle.kts

  - versionName: 2023.8.2-minimal
    versionCode: 10992
    commit: 2023.8.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - minimal
    rm:
      - automotive
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/project.version.toString()/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear", ":automotive"//' ../settings.gradle.kts

  - versionName: 2023.9.2-minimal
    versionCode: 11226
    commit: 2023.9.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - minimal
    rm:
      - automotive
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/project.version.toString()/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear", ":automotive"//' ../settings.gradle.kts

  - versionName: 2023.10.2-minimal
    versionCode: 11484
    commit: 2023.10.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - minimal
    rm:
      - automotive
      - wear
    prebuild:
      - cp ../.github/mock-google-services.json google-services.json
      - sed -i -e '/-minimal/d' -e 's/project.version.toString()/"$$VERSION$$"/' -e
        's/System.getenv("VERSION_CODE")/"$$VERCODE$$"/' -e '/firebaseAppDistribution
        {/,/}/d' -e '/firebase/d' -e '/com.google.gms/d' -e '/<GoogleServicesPluginConfig>/,/}/d'
        build.gradle.kts
      - sed -i -e '/firebase/d' -e '/com.google.gms/d' ../build.gradle.kts
      - sed -i -e 's/, ":wear", ":automotive"//' ../settings.gradle.kts

MaintainerNotes: |-
  6 versions, due to the rapid release there may be a trailing error
  (which bothers only some users) and it takes time to fix.

ArchivePolicy: 6
AutoUpdateMode: Version +-minimal %v
UpdateCheckMode: HTTP
UpdateCheckData: https://github.com/home-assistant/android/releases/latest/download/version_code.txt|(\d+)|https://github.com/home-assistant/android/releases/latest|tree/([\d.]+)"
CurrentVersion: 2023.10.2
CurrentVersionCode: 11484
